/*External CSS*/
body{background-color: #FBF8F1;}
/*p {
background-color: blueviolet;
}*/
span { font-size: 16px; font-style: italic; }
/*CSS Selectors*/
/*ID Selector add "#" to specify id*/
#Greeting {
color: red;
font-size: 10px;
}
/*Class Selector add "." to specify class*/
.welcome {
color: teal;
letter-spacing: 5px;
}
/*Attribute Selector add "[attribute = "value"]"*/
[type="textbox"] {
background-color: darkred;
}
/*Type Selector - uses tag name*/
section	{
color: darkgreen;
font-size: 32px;
/*text-align: right;*/
/*float can be used to move elements*/
/*float: right;*/
/*block - 100% of screen
inline - specific width of elements*/
}
/*Universal Selector - uses "*" affects everything, can be uses to remove
  default styling */
* {
margin: 0;
padding: 0;
}
/*CSS Selector Hierarchy/Specificity
ID - highest
Class
Attribute
Type
Universal - lowest
*/
/* CSS Method Specificity
Inline - highest
Internal
External - lowest
best practice is to use External, for uniformity and usability
*/
/* CSS Selector Combinators - combination of all CSS Selector types
- used to target a specific element in relation to other elements
*/
/*Descendant Selector (white space)*/
/*example all descendant of div (parent) that is p (child) will be affected*/
/*div p {
background-color: palevioletred;
}*/
/*example only id with "parent" with p is affected*/
/*#parent p {
background-color: palevioletred;
}*/
/*example only id with "parent" with section and then p will be affected*/
/*#parent section p {
background-color: red;
}*/

/*Child Selector (>) The child selector selects all elements that are the
  children of a specified element. Selects only legitimate or direct children*/

  /*div > p {
  	background-color: red;
  }*/

 /*

  #parent > p {
  	background-color: red;
  }

 */

/*

General Sibling Selector (~) - The general sibling selector selects all
elements that are next siblings of a specified element.

*/
/* only p with a sibling of p will be affected */

/*
  p~p {

  	background-color: red;
  }

*/

/*Adjacent Sibling Selector (+) The adjacent sibling selector is used to
  select an element that is directly after another specific element.

Sibling elements must have the same parent element, and "adjacent"
means "immediately following".*/
/*
p+p {

	background-color: red;
}
*/

div + p {

	background-color: red;
}